> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolstatus.md).

# Get-RASRDSHostPoolStatus

### NAME

Get-RASRDSHostPoolStatus\ <br>

### SYNOPSIS

Retrieves the status of one or multiple RD Session Host Pools.\ <br>

### SYNTAX

Get-RASRDSHostPoolStatus \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#CommonParameters)*>*]\
\
Get-RASRDSHostPoolStatus \[\[-[InputObject](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#InputObject)] *<*[*RDSHostPool*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)*>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#CommonParameters)*>*]\
\
Get-RASRDSHostPoolStatus \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#Name)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASRDSHostPoolStatus.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves information about the status of one or multiple RD Session Host Pools.\
\
The cmdlet returns an object of type RDSHostPoolStatus.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
The result set contains only the major properties of a host pool; it does not include the complete list of settings supported in RAS.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the RDS Host Pool for which to retrieve the status.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the specified RDS Host Pool Name.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of the RDS Host Pool. To obtain the ID, use the Get-RASRDSHostPool cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**InputObject <**[**RDSHostPool**](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)**>**\
An object of type RDSHostPool representing the RDS Host Pool.\
\
To obtain the object, use the Get-RASRDSHostPool cmdlet.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       true (ByValue)
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

[RDSHostPool](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPool.html)

### OUTPUTS

[RDSHostPoolStatus](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RDSHostPoolStatus.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
Get-RASRDSHostPoolStatus "My RD Session Host Pool" | Format-List\
\
Retrieves the status of the host pool specified by name from the Licensing Server site.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available host pool properties.\
**---------- EXAMPLE 2 ----------**\
\
Get-RASRDSHostPoolStatus -Id 10\
\
Retrieves information about the host pool specified by ID from the Licensing Server site.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolstatus.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
